Bug 2040616 - rolebindings page doesn't load for normal users
Summary: rolebindings page doesn't load for normal users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.10.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
: 2033328 (view as bug list)
Depends On:
Blocks: 2082493
TreeView+ depends on / blocked
 
Reported: 2022-01-14 09:35 UTC by Yadan Pei
Modified: 2022-05-06 09:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2082493 (view as bug list)
Environment:
Last Closed: 2022-03-10 16:39:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
RoleBindings for normal user listed correctly (270.45 KB, image/png)
2022-01-24 02:47 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10867 0 None open Bug 2040616: - rolebindings page doesn't load for normal users 2022-01-17 20:43:05 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:39:33 UTC

Description Yadan Pei 2022-01-14 09:35:09 UTC
Description of problem:
when normal user visit RoleBindings page, the page kept loading and no results returned

Version-Release number of selected component (if applicable):
4.10.0-0.nightly-2022-01-13-061145

How reproducible:
Always

Steps to Reproduce:
1. normal user create a project
2. navigate to User Management -> Role Bindings page, the page kept loading and no rolebindings returned
3.

Actual results:
2. for normal user, it is still loading clusterrolebindings 
consoleFetch failed for url /api/kubernetes/apis/rbac.authorization.k8s.io/v1/clusterrolebindings?limit=250 a: clusterrolebindings.rbac.authorization.k8s.io is forbidden: User "uiauto1" cannot list resource "clusterrolebindings" in API group "rbac.authorization.k8s.io" at the cluster scope

Expected results:
2. normal user doesn't have permission to load clusterrolebindings, but we may  still need load namespace rolebindings and show on the page

Additional info:

Comment 3 Yadan Pei 2022-01-24 02:47:41 UTC
Created attachment 1852971 [details]
RoleBindings for normal user listed correctly

Comment 5 Jon Jackson 2022-02-04 19:24:29 UTC
*** Bug 2033328 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2022-03-10 16:39:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.